# Command: regex_find_rf

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    regex_find_rf - Check if a regex is included in a stream

Synopsis:

    regex istream -> boolean

Examples:

    See examples of regex_find, exchange second string with a file.

Description:

    Takes the first argument. Calls regexec to find out
      if this regex matches the stream. Reports
      success/failure in a boolean true/false.

Parameters:

    in: first argument  : a regex generated by regcomp
      second argument : an istream where this
      regex should be matched.
      out: true/false telling if there is a/is no match.

Bugs:

    -

Diagnostics:

    no errors raised

Remarks:

    Does _not_ return any information about the matched
      expression more than matched/not matched; use lower
      level commands regcomp, regexec if in need!

Author:

    Hehl

FirstVersion:

    1.10.99

SeeAlso:

- regexec
- regcomp
- regex_replace

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/lib/sli/regexp.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative